exif-format.h File Reference

Handling native EXIF data types. More...

Go to the source code of this file.

## Enumerations

enum | ExifFormat { EXIF_FORMAT_BYTE = 1 , EXIF_FORMAT_ASCII = 2 , EXIF_FORMAT_SHORT = 3 , EXIF_FORMAT_LONG = 4 , EXIF_FORMAT_RATIONAL = 5 , EXIF_FORMAT_SBYTE = 6 , EXIF_FORMAT_UNDEFINED = 7 , EXIF_FORMAT_SSHORT = 8 , EXIF_FORMAT_SLONG = 9 , EXIF_FORMAT_SRATIONAL = 10 , EXIF_FORMAT_FLOAT = 11 , EXIF_FORMAT_DOUBLE = 12 }
| EXIF tag data formats.

## Functions

const char * | exif_format_get_name (ExifFormat format)
| Return a textual representation of the given EXIF data type. More...
unsigned char | exif_format_get_size (ExifFormat format)
| Return the raw size of the given EXIF data type. More...

## Detailed Description

Handling native EXIF data types.

## Function Documentation

## exif_format_get_name()

const char* exif_format_get_name | ( | ExifFormat | format | ) |

Return a textual representation of the given EXIF data type.

Parameters

  [in] | format | EXIF data format

Returns
  localized textual name, or NULL if unknown

## exif_format_get_size()

unsigned char exif_format_get_size | ( | ExifFormat | format | ) |

Return the raw size of the given EXIF data type.

Parameters

  [in] | format | EXIF data format

Returns
  size in bytes

Referenced by exif_entry_get_value().